### Function

# Pango.parse_style

#### Declaration [src]

    gboolean
    pango_parse_style (
      const char* str,
      PangoStyle* style,
      gboolean warn
    )

#### Description [src]

Parses a font style.

The allowed values are “normal”, “italic” and “oblique”, case variations being ignored.

#### Parameters

`str` | `const char*`
| a string to parse.
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string
`style` | `PangoStyle`
| a `PangoStyle` to store the result in.
| Direction: out
| Ownership of the data is transferred to the callee
`warn` | `gboolean`
| if `TRUE`, issue a `g_warning()` on bad input.

#### Return value

Returns: `gboolean`
`TRUE` if `str` was successfully parsed.